Bug 135188 - openldap hang at ldap_int_select
openldap hang at ldap_int_select
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
http://www.openldap.org/its/index.cgi...
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-09 18:59 EDT by Alan Hagge
Modified: 2014-08-31 19:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.2.23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:13:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix hang (744 bytes, patch)
2005-01-07 09:10 EST, Need Real Name
no flags Details | Diff

  None (edit)
Description Alan Hagge 2004-10-09 18:59:18 EDT
Description of problem:

When using openldap tools on Fedora Core 3 test 2 (against an Active
Directory server in my case), lookups hang at ldap_int_select.

The issue has been described, addressed and fixed in a later version
of OpenLDAP (somewhere between 2.2.14 and the current 2.2.17), as
described by the URL above or here:

http://www.openldap.org/its/index.cgi/Software%20Bugs?id=3192

Version-Release number of selected component (if applicable):

openldap-2.2.13-2

How reproducible:

Every time.

Steps to Reproduce:

1. run an ldapsearch against an LDAP database (my command was
"ldapsearch -d1 -lll -x "sn=hagge")
2. observe hang after ldap_int_select
  
Actual results:

See http://www.openldap.org/its/index.cgi/Software%20Bugs?id=3192 for
an example

Expected results:
successful query

Additional info:

After applying the fix shown at the OpenLDAP URLs, the test was
repeated and was successful.  I believe that the final FC3 release
should either incorporate this patch or (better) use a more up-to-date
version of OpenLDAP (eg. 2.2.17) which has this patch incorporated.
Comment 1 Ben Lentz 2004-10-25 09:25:48 EDT
I ran into this exact problem myself. I've spent a good portion of
this weekend creating openldap-2.2.17 RPMs (each build took 45 minutes
on my machine) for FC2... they should work the same on FC3. (Right?)

It'd be great if openldap-2.2.17 could see it's way into either FC2
updates or FC3 final!

In the meantime, if you'd like to test drive the RPMs I've build,
please give them a shot.
Comment 2 Ben Lentz 2004-10-25 09:58:41 EDT
Basically, I took the 2.1.17 spec file and made very minor changes to
it to get it to build against 2.2.17 source. I needed to redo some of
the patch files, and it would only build if I installed the db4 and
db4-devel packages on my system (it wouldn't compile 2.2.17 with the
db4 source included with the SRPM for 2.1.17)... but it works great
and doesn't suffer from the ITS#3192 SASL hang bug.

https://bentz.no-ip.com/download/openldap-2.2.17-1.i386.rpm
https://bentz.no-ip.com/download/openldap-clients-2.2.17-1.i386.rpm
https://bentz.no-ip.com/download/openldap-servers-2.2.17-1.i386.rpm
https://bentz.no-ip.com/download/openldap-devel-2.2.17-1.i386.rpm
https://bentz.no-ip.com/download/openldap-2.2.17-1.src.rpm
Comment 3 Need Real Name 2005-01-07 09:10:20 EST
Created attachment 109465 [details]
patch to fix hang

You can also apply this patch to 2.2.13 (from the linked bug report).

I built new packages with this patch and they work and fix the problem.
Comment 4 Miloslav Trmač 2005-05-07 10:47:52 EDT
Rawhide contains 2.2.23, which contains an equivalent change; removing
from FC4 tracker.
Comment 5 Matthew Miller 2006-07-10 17:00:28 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-30 10:13:43 EST
This was fixed for FC4 and up.  Closing, since FC3 is only supported for
critical security updates.

Note You need to log in before you can comment on or make changes to this bug.